$toolbar-height: 110px;
$responsive-threshold: 900px;
$rearranging-width: 1000px;

section[content] {
  [summary] {
    display: flex;
    flex-direction: row;
    position: relative;
    @media(max-width: $responsive-threshold) {
      flex-direction: column;
      header {
        padding: 1em;
      }
    }
    & > * {
      flex: 1;
      display: flex;
      flex-direction: column;
    }

    [topology] {
      max-width: 700px;
      flex: 2;
      @media(max-width: $responsive-threshold) {
        max-width: 100%;
        align-items: center;
        l1-trigger-diagram {
          width: 100%;
          max-width: none;
        }
        header {
          width: 100%;
        }
      }
    }

    header {
      background-color: var(--primary-color);
      color: var(--primary-text-color-inverted);
      min-height: 30px;
      text-align: center;
      @media(max-width: $responsive-threshold) {
        min-height: 0;
        padding-top: 30px;
      }
      @media(max-width: $rearranging-width) and (min-width: $responsive-threshold) {
        padding-top: 30px;
        padding-bottom: 10px;
      }
    }

    [no-content] {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      img {
        width: 160px;
      }
    }

    paper-fab {
      position: absolute;
      bottom: 0;
      right: 0;
      margin: 10px;
      @media(max-width: $responsive-threshold) {
        bottom: initial;
        top: 1em;
        right: .5em;
        left: initial;
      }
      @media(min-width: $responsive-threshold) {
        &[big] {
          width: 80px;
          height: 80px;
          --iron-icon-width: 48px;
          --iron-icon-height: 48px;
        }
      }


    }
  }
}
